StarObjectSmallGraphicInternal::SdrGraphicGroup Class Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
StarObjectSmallGraphicInternal::SdrGraphicGroup Class Referencefinal

Internal: virtual class to store a Sdr graphic group. More...

Inheritance diagram for StarObjectSmallGraphicInternal::SdrGraphicGroup:

## Public Member Functions
| SdrGraphicGroup (int id)
| constructor More...
| ~SdrGraphicGroup () final
| destructor More...
std::string | print () const final
| basic print function More...
bool | send (STOFFListenerPtr &listener, STOFFFrameStyle const &pos, StarObject &object, bool inMasterPage) final
| try to send the graphic to the listener More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphic
| SdrGraphic (int id)
| constructor More...
| ~SdrGraphic () override
| destructor More...
std::string | getName () const override
| return the object name More...
StarState | getState (StarObject &object, STOFFListenerPtr listener, STOFFFrameStyle const &) const
| return a pool corresponding to an object More...
void | updateStyle (StarState &state, STOFFListenerPtr) const
| try to update the graphic style More...
std::string | print () const override
| basic print function More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::Graphic
| Graphic (int id)
| constructor More...
virtual | ~Graphic ()
| destructor More...
virtual std::string | print () const
| basic print function More...
virtual std::string | getName () const =0
| return the object name More...
virtual bool | send (STOFFListenerPtr &, STOFFFrameStyle const &, StarObject &, bool)
| try to send the graphic to the listener More...

## Public Attributes
librevenge::RVNGString | m_groupName
| the group name More...
std::vector< std::shared_ptr< StarObjectSmallGraphic > > | m_child
| the child More...
STOFFVec2i | m_refPoint
| the ref point More...
bool | m_hasRefPoint
| flag to know if we use the ref point More...
int | m_groupDrehWink
| the dreh wink: rotation? More...
int | m_groupShearWink
| the shear wink More...
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphic
STOFFBox2i | m_bdbox
| the bdbox More...
int | m_layerId
| the layer id More...
STOFFVec2i | m_anchorPosition
| the anchor position More...
std::vector< GluePoint > | m_polygon
| a polygon More...
bool | m_flags [6]
| a list of flag More...
std::vector< std::shared_ptr< StarObjectSmallGraphicInternal::SDRUserData > > | m_userDataList
| the user data list More...
Public Attributes inherited from StarObjectSmallGraphicInternal::Graphic
int | m_identifier
| the type More...

## Friends
std::ostream & | operator<< (std::ostream &o, SdrGraphicGroup const &graph)
| print object data More...

## Detailed Description

Internal: virtual class to store a Sdr graphic group.

## Constructor & Destructor Documentation

## ◆ SdrGraphicGroup()

StarObjectSmallGraphicInternal::SdrGraphicGroup::SdrGraphicGroup | ( | int | id | ) |
| inlineexplicit

constructor

## ◆ ~SdrGraphicGroup()

StarObjectSmallGraphicInternal::SdrGraphicGroup::~SdrGraphicGroup | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ print()

std::string StarObjectSmallGraphicInternal::SdrGraphicGroup::print | ( |  | ) | const
| inlinefinalvirtual

basic print function

Reimplemented from StarObjectSmallGraphicInternal::SdrGraphic.

## ◆ send()

bool StarObjectSmallGraphicInternal::SdrGraphicGroup::send | ( | STOFFListenerPtr & | listener,
|  | STOFFFrameStyle const & | pos,
|  | StarObject & | object,
|  | bool | inMasterPage
| ) |  |
| inlinefinalvirtual

try to send the graphic to the listener

Reimplemented from StarObjectSmallGraphicInternal::Graphic.

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | SdrGraphicGroup const & | graph
| ) |  |
| friend

print object data

## Member Data Documentation

## ◆ m_child

std::vector<std::shared_ptr<StarObjectSmallGraphic> > StarObjectSmallGraphicInternal::SdrGraphicGroup::m_child

the child

Referenced by StarObjectSmallGraphic::readSVDRObjectGroup(), and send().

## ◆ m_groupDrehWink

int StarObjectSmallGraphicInternal::SdrGraphicGroup::m_groupDrehWink

the dreh wink: rotation?

Referenced by StarObjectSmallGraphic::readSVDRObjectGroup().

## ◆ m_groupName

librevenge::RVNGString StarObjectSmallGraphicInternal::SdrGraphicGroup::m_groupName

the group name

Referenced by StarObjectSmallGraphic::readSVDRObjectGroup().

## ◆ m_groupShearWink

int StarObjectSmallGraphicInternal::SdrGraphicGroup::m_groupShearWink

the shear wink

Referenced by StarObjectSmallGraphic::readSVDRObjectGroup().

## ◆ m_hasRefPoint

bool StarObjectSmallGraphicInternal::SdrGraphicGroup::m_hasRefPoint

flag to know if we use the ref point

Referenced by StarObjectSmallGraphic::readSVDRObjectGroup().

## ◆ m_refPoint

STOFFVec2i StarObjectSmallGraphicInternal::SdrGraphicGroup::m_refPoint

the ref point

Referenced by StarObjectSmallGraphic::readSVDRObjectGroup().

The documentation for this class was generated from the following file:

- StarObjectSmallGraphic.cxx